> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Income statement

> Income statement

### Query parameters

<ParamField query="start_date" type="string" required>
  Inclusive period start date in `YYYY-MM-DD` format.
</ParamField>

<ParamField query="end_date" type="string" required>
  Inclusive period end date in `YYYY-MM-DD` format.
</ParamField>

### Responses

<ResponseField name="200" type="IncomeStatementResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/gl/income-statement' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "expense_lines": [
      {
        "account_id": "string",
        "account_name": "string",
        "account_number": "string",
        "amount": "string",
        "indent_level": 1,
        "is_total": true
      }
    ],
    "net_income": "string",
    "period_end": "string",
    "period_start": "string",
    "revenue_lines": [
      {
        "account_id": "string",
        "account_name": "string",
        "account_number": "string",
        "amount": "string",
        "indent_level": 1,
        "is_total": true
      }
    ],
    "total_expenses": "string",
    "total_revenue": "string"
  }
  ```
</ResponseExample>
